petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscViewerMatlabGetArray

Gets a variable from a MATLAB viewer into an array

### Synopsis

    PetscErrorCode  PetscViewerMatlabGetArray(PetscViewer mfile,int m,int n,PetscScalar *array,const char *name)

Not Collective; only processor zero reads in the array

### Input Parameters

| mfile | - the MATLAB file viewer
| m,n | - the dimensions of the array
| array | - the array (represented in one dimension)
| name | - the name of the array

Notes: Only reads in array values on processor 0.

Level:advanced
Location:src/sys/classes/viewer/impls/matlab/vmatlab.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages